
Figure - Bug #118022
【IOVDEV-28471】【IOV测试】【VC1】【SORP】【声音竞合】【实车320】副屏播放音乐没有声音输出，点
击主屏dock栏空调按键副屏有声音输出，几秒后声音消失但音乐继续播放
2023-05-17 21:41 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-05-17

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 03.02.0080.C101��副屏：0095

Resolution: INVALID Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

详情

类型: 故障

状态:处理中 (查看工作流)

优先级: B

解决结果:未解决

影响版本:

03.02.0080.C101

修复的版本:无

模块:

声音竞合

标签:无

Repetition Rate:

必现

测试环境:车辆手动测试

项目名:

VC1

描述

【前提条件】：

车机上电、网络状态良好、时间显示正确、 账号登录正确

【操作步骤】：

1、副屏播放QQ音乐

2、点击主屏dock栏空调

【实际结果】：

1、播放时副屏歌曲播放中但没声音，点击空调后，声音开始输出，几秒后声音又消失了，副屏的歌曲还是播放状态

【期望结果】：

1、QQ音乐有声音输出。点击空调不会影响歌曲声音输出

【研发解决问题依赖】：

1、问题发生环境：EE

2、车机VIN号:LJD8BC3F6P0000320

3、bug时间：2023/5/16  1753

【备注】：

【软件版本号】：

IDCM版本号:     03.02.0080.C101
副屏：0095

副屏的log

qq音乐播放，但是没有跟主屏申请焦点，导致多媒体通道是关闭，所以qq音乐没有声音输出

25363 05-16 17:51:26.382 1522 15183 I MediaFocusControl: requestAudioFocus() from uid/pid 10072/13898

AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=android.media.AudioManager@3aae3bacom.tencent.qqmusicsdk.player.listener.a

$1@d01d26b callingPack=com.tencent.qqmusicpad req=1 flags=0x0 sdk=27

主屏的log

点击空调，数字车创建MediaPlayer，

292473 05-16 17:53:45.392 1709 3422 D UE4 : [2023.05.16-09.53.45:392][ 55]LogCore: Display: AppLifetime: Application has reactivated

292474 05-16 17:53:45.392 1709 3422 D UE4 : [2023.05.16-09.53.45:392][ 55]LogTemp: Android resume audio

292475 05-16 17:53:45.392 1709 3422 D UE4 : [2023.05.16-09.53.45:392][ 55]LogAudioMixerAndroid: Display: Resuming android audio renderer

292476 05-16 17:53:45.393 1271 1271 D AudioPlayerStateMonitor: Found a new active media playback. AudioPlaybackConfiguration piid:63

type:OpenSL ES AudioPlayer (Buffer Queue) u/pid:1000/1709 state:started attr:AudioAttributes: usage=USAGE_MEDIA

content=CONTENT_TYPE_UNKNOWN flags=0x0 tags= bundle=null

因为数字车创建mediaplayer，所以底层打开了多媒体通道，

292571 05-16 17:53:45.403 266 4575 I audio_hw_plugin_setting: audio_hal_plugin_source_request,

[HAL=>AM]audio_usecase=71,usecase_type=0,source=3(AUDIO_SOURCE_USB),connect=CONNECT

295594 05-16 17:53:48.425 266 4575 I audio_hw_primary: out_write: writing buffer to pcm device, usecase:71, flags:0xa, size:7680, pcm sample

check:0,0,0,0,0...

304750 05-16 17:53:58.771 266 1498 I audio_hw_plugin_setting: audio_hal_plugin_source_request,

[HAL=>AM]audio_usecase=71,usecase_type=0,source=3(AUDIO_SOURCE_USB),connect=Disconnect

304754 05-16 17:53:58.772 266 1498 I audio_hw_plugin_setting: audio_hal_plugin_update_src_request, [HAL=>AM] update source off, connect:0,

source_id:3, src:0

此票的本质原因是因为副屏再播放qq音乐时，没有跟主屏申请焦点，导致多媒体通道是关闭，所以qq音乐没有声音输出

当测试点击空调，数字车模块创建了mediaplayer并且写入空数据，多媒体通道被打开，

因为多媒体通道打开，所以播放出副屏的qq音乐声音， 17:53:58时，多媒体通道关闭，所以副屏qq音乐也暂停了

综上：

副屏qq音乐没有申请焦点

数字车创建mediaPlayer并写入空数据。

History

#1 - 2023-05-18 11:20 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

Hi 诗雨，
当前上传的副屏的日志，没有描述里的这一条日志，本地无法复现，无法分析问题产生的原因。

****************************************************************************************************************************************************

副屏的log

qq音乐播放，但是没有跟主屏申请焦点，导致多媒体通道是关闭，所以qq音乐没有声音输出

25363 05-16 17:51:26.382 1522 15183 I MediaFocusControl: requestAudioFocus() from uid/pid 10072/13898 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC

clientId=android.media.AudioManager@3aae3bacom.tencent.qqmusicsdk.player.listener.a$1@d01d26b callingPack=com.tencent.qqmusicpad req=1 flags=0x0 sdk=27

#2 - 2023-05-18 21:10 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

测试将主副屏log文件命名写错了，副屏的log参照“主屏log.7z”。

#3 - 2023-05-18 21:18 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#4 - 2023-05-19 09:48 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

Hi 王维,

这个问题产生的原因是音频焦点策略没有开启，请开启音频焦点策略之后复测此问题。

05-16 17:51:26.382  1522 15183 I MediaFocusControl: requestAudioFocus() from uid/pid 10072/13898 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=

android.media.AudioManager@3aae3bacom.tencent.qqmusicsdk.player.listener.a$1@d01d26b callingPack=com.tencent.qqmusicpad req=1 flags=0x0 sdk=27

05-16 17:51:26.483  1522 12832 W AudioIDCMicroNegotiator: idcm_warn: idcm control is not enable**********音频焦点策略没有开启

#5 - 2023-05-24 20:26 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Resolution changed from -- to INVALID

HI ALL

音频焦点策略没有开启，该bug无效。

#6 - 2023-06-01 15:51 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

客户已关闭该bug

#7 - 2023-06-01 15:51 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

主屏log.7z 246 KB 2023-05-17 物联网测试组_TSCD 王维
副屏log051612.7z 1.78 MB 2023-05-17 物联网测试组_TSCD 王维

飞书20230516-175558.mp4 4.35 MB 2023-05-17 物联网测试组_TSCD 王维
